﻿@model System.Data.DataTable
    @using System.Data;


@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_SideBarLayout.cshtml";
}

<h2>Upload File</h2>

@using (Html.BeginForm("UploadXls", "ImortUserFiles", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <div class="container setouter view-page-con">
        <div class="row">
            <div class="form-group">
                <div class="col-sm-1 col-sm-offset-2">
                    <label class="control-label select-ctm">Select File Name</label>
                </div>
                <div class="col-sm-6 select-ctm-1">
                    <select class="form-control m-b" name="value">
                        <option value="1" selected">Upload Equipment</option>
                        <option value="2">Upload ApparelVests</option>
                        <option value="3">Upload Apparel Hard Hats</option>

                    </select>
                </div>
            </div>
        </div>
    </div>
    <section class="Contact_form_outer">
        <h3 style="color:green">@ViewBag.Message</h3>
        <div class="container  view-page-con">
            <div class="row">
                <div class="col-md-6 col-md-offset-3">
                    <div class="well well-sm">
                        <form class="form-horizontal" action="" method="post">
                            <fieldset>
                                <legend class="text-center">Import File</legend>

                                <!-- Name input-->
                                <div class="form-group">
                                    <label class="col-md-3 control-label" for="name">Choose a File</label>
                                    <div class="col-md-6">
                                        <input id="name" name="file" type="file" placeholder="Upload here" class="form-control">
                                    </div>


                                    <div class="text-center">
                                        <button class="btn btn-success" type="submit">Upload</button> 
                                        @ViewBag.Msg
                                    </div>
                                    <div><p style="text-align:center; margin-top:20px; color:#FF0000;">Upload only .xlsx file.</p></div>
                                    @*<div class="col-md-3">
                                        <button class="btn btn-default">Browse</button>
                                    </div>*@
                                    </div>
                            </fieldset>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
}
<script>
function myFunction() {
    var x = document.getElementById("myFile");
    x.disabled = true;
}



@{
    if (TempData["message"] != null) {
<script type="text/javascript">
        alert(@Html.Raw(Json.Encode(TempData["message"])));
</script>
    }
}

</script>
<style>
    .Contact_form_outer {
    padding: 0px 50px;
    /* margin: 90px auto; */
    padding-top: 0px;
    padding-bottom: 260px;
    margin-top: 56px;
}
    .Contact_form_outer .form-group {
    margin: 60px auto;
}
    .container.setouter {
    margin-top: 77px;
}
</style>